-- MySQL Administrator dump 1.4
--
-- ------------------------------------------------------
-- Server version	5.1.41


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;


--
-- Create schema dbselling
--

CREATE DATABASE IF NOT EXISTS dbselling;
USE dbselling;

--
-- Definition of table `tbcustomer`
--

DROP TABLE IF EXISTS `tbcustomer`;
CREATE TABLE `tbcustomer` (
  `KodeCustomer` char(4) NOT NULL,
  `NamaCustomer` varchar(50) DEFAULT NULL,
  `AlamatCustomer` varchar(50) DEFAULT NULL,
  `KotaCustomer` varchar(50) DEFAULT NULL,
  `NoTelpCustomer` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`KodeCustomer`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tbcustomer`
--

/*!40000 ALTER TABLE `tbcustomer` DISABLE KEYS */;
INSERT INTO `tbcustomer` (`KodeCustomer`,`NamaCustomer`,`AlamatCustomer`,`KotaCustomer`,`NoTelpCustomer`) VALUES 
 ('C001','Irfan Mahfudz Guntur','Sambutan Permai','Samarinda','05417166940'),
 ('C002','Bahtera Jaya','Jl. Sultan Sulaiman No 28','Samarinda','9848575');
/*!40000 ALTER TABLE `tbcustomer` ENABLE KEYS */;


--
-- Definition of table `tbjenisbarang`
--

DROP TABLE IF EXISTS `tbjenisbarang`;
CREATE TABLE `tbjenisbarang` (
  `KodeJenisBarang` char(3) NOT NULL,
  `NamaJenisBarang` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`KodeJenisBarang`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tbjenisbarang`
--

/*!40000 ALTER TABLE `tbjenisbarang` DISABLE KEYS */;
INSERT INTO `tbjenisbarang` (`KodeJenisBarang`,`NamaJenisBarang`) VALUES 
 ('KSB','Kuas Biasa'),
 ('SSU','Susu Ultra'),
 ('MMR','Memori'),
 ('KCN','Kaca Naga');
/*!40000 ALTER TABLE `tbjenisbarang` ENABLE KEYS */;


--
-- Definition of table `tbpembelian`
--

DROP TABLE IF EXISTS `tbpembelian`;
CREATE TABLE `tbpembelian` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `tanggal` datetime DEFAULT NULL,
  `KodeSupplier` char(4) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=65 DEFAULT CHARSET=latin1 ROW_FORMAT=DYNAMIC;

--
-- Dumping data for table `tbpembelian`
--

/*!40000 ALTER TABLE `tbpembelian` DISABLE KEYS */;
INSERT INTO `tbpembelian` (`id`,`tanggal`,`KodeSupplier`) VALUES 
 (35,NULL,'S006'),
 (36,NULL,'S003'),
 (37,NULL,'S004'),
 (38,NULL,'S004'),
 (39,NULL,'S004'),
 (40,NULL,'S003'),
 (41,NULL,'S003'),
 (42,NULL,'S003'),
 (43,NULL,'S003'),
 (44,NULL,'S003'),
 (45,NULL,'S003'),
 (46,NULL,'S003'),
 (47,NULL,'S003'),
 (48,NULL,'S003'),
 (49,NULL,'S003'),
 (50,NULL,'S003'),
 (51,NULL,'S003'),
 (52,NULL,'S003'),
 (53,NULL,'S003'),
 (54,NULL,'S003'),
 (55,NULL,'S003'),
 (56,NULL,'S003'),
 (57,NULL,'S003'),
 (58,NULL,'S003'),
 (59,NULL,'S003'),
 (60,NULL,'S003'),
 (61,NULL,'S003'),
 (62,NULL,'S003'),
 (63,NULL,'S003'),
 (64,NULL,'S003');
/*!40000 ALTER TABLE `tbpembelian` ENABLE KEYS */;


--
-- Definition of table `tbpembelian_detail`
--

DROP TABLE IF EXISTS `tbpembelian_detail`;
CREATE TABLE `tbpembelian_detail` (
  `id` int(6) unsigned NOT NULL AUTO_INCREMENT,
  `KodeBarang` char(8) NOT NULL DEFAULT '0',
  `kode_pembelian` char(4) NOT NULL DEFAULT '0',
  `jumlah` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=71 DEFAULT CHARSET=latin1 ROW_FORMAT=DYNAMIC;

--
-- Dumping data for table `tbpembelian_detail`
--

/*!40000 ALTER TABLE `tbpembelian_detail` DISABLE KEYS */;
INSERT INTO `tbpembelian_detail` (`id`,`KodeBarang`,`kode_pembelian`,`jumlah`) VALUES 
 (50,'MMR00001','0',1),
 (51,'MMR00002','0',2),
 (52,'KCN00001','0',2),
 (53,'SSU00002','0',2),
 (54,'SSU00002','0',3),
 (55,'SSU00001','0',1),
 (56,'SSU00002','0',2),
 (57,'KSB00001','0',2),
 (58,'SSU00001','0',2),
 (59,'SSU00002','0',4),
 (60,'SSU00002','0',1),
 (61,'SSU00002','0',1),
 (62,'SSU00002','0',2),
 (63,'SSU00002','0',1),
 (64,'SSU00002','0',1),
 (65,'SSU00002','0',1),
 (66,'SSU00001','0',1),
 (67,'KSB00001','0',1),
 (68,'SSU00001','0',1),
 (69,'SSU00002','0',2),
 (70,'KSB00001','0',3);
/*!40000 ALTER TABLE `tbpembelian_detail` ENABLE KEYS */;


--
-- Definition of table `tbpenjualan`
--

DROP TABLE IF EXISTS `tbpenjualan`;
CREATE TABLE `tbpenjualan` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `tanggal` date DEFAULT NULL,
  `KodeCustomer` char(4) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=11 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tbpenjualan`
--

/*!40000 ALTER TABLE `tbpenjualan` DISABLE KEYS */;
INSERT INTO `tbpenjualan` (`id`,`tanggal`,`KodeCustomer`) VALUES 
 (4,NULL,'C002'),
 (5,NULL,'C002'),
 (6,NULL,'C001'),
 (7,NULL,'C001'),
 (8,NULL,'C001'),
 (9,NULL,'C001'),
 (10,NULL,'C002');
/*!40000 ALTER TABLE `tbpenjualan` ENABLE KEYS */;


--
-- Definition of table `tbpenjualan_detail`
--

DROP TABLE IF EXISTS `tbpenjualan_detail`;
CREATE TABLE `tbpenjualan_detail` (
  `id` int(6) unsigned NOT NULL AUTO_INCREMENT,
  `KodeBarang` char(8) NOT NULL DEFAULT '0',
  `kode_pembelian` char(4) NOT NULL DEFAULT '0',
  `jumlah` tinyint(4) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=12 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tbpenjualan_detail`
--

/*!40000 ALTER TABLE `tbpenjualan_detail` DISABLE KEYS */;
INSERT INTO `tbpenjualan_detail` (`id`,`KodeBarang`,`kode_pembelian`,`jumlah`) VALUES 
 (4,'SSU00002','0',2),
 (5,'SSU00001','0',1),
 (6,'SSU00002','0',4),
 (7,'KSB00001','0',2),
 (8,'KSB00001','0',1),
 (9,'SSU00002','0',1),
 (10,'SSU00001','0',2),
 (11,'SSU00002','0',2);
/*!40000 ALTER TABLE `tbpenjualan_detail` ENABLE KEYS */;


--
-- Definition of table `tbproduct`
--

DROP TABLE IF EXISTS `tbproduct`;
CREATE TABLE `tbproduct` (
  `KodeProduct` varchar(8) NOT NULL,
  `NamaProduct` varchar(50) DEFAULT NULL,
  `HargaJual` double(10,2) unsigned NOT NULL DEFAULT '0.00',
  `JumlahProduct` int(4) DEFAULT '0',
  PRIMARY KEY (`KodeProduct`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tbproduct`
--

/*!40000 ALTER TABLE `tbproduct` DISABLE KEYS */;
INSERT INTO `tbproduct` (`KodeProduct`,`NamaProduct`,`HargaJual`,`JumlahProduct`) VALUES 
 ('SSU00001','Milo',25000.00,1),
 ('SSU00002','Dancaow',45000.00,0),
 ('KSB00001','Kuas 4 Mlm',30000.00,3);
/*!40000 ALTER TABLE `tbproduct` ENABLE KEYS */;


--
-- Definition of table `tbpurchase_temp`
--

DROP TABLE IF EXISTS `tbpurchase_temp`;
CREATE TABLE `tbpurchase_temp` (
  `code_product` char(8) NOT NULL,
  `name_product` varchar(45) NOT NULL,
  `price` double(10,2) unsigned NOT NULL DEFAULT '0.00',
  `quantity` int(4) unsigned NOT NULL DEFAULT '0'
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tbpurchase_temp`
--

/*!40000 ALTER TABLE `tbpurchase_temp` DISABLE KEYS */;
/*!40000 ALTER TABLE `tbpurchase_temp` ENABLE KEYS */;


--
-- Definition of table `tbsales_temp`
--

DROP TABLE IF EXISTS `tbsales_temp`;
CREATE TABLE `tbsales_temp` (
  `code_product` char(8) NOT NULL,
  `name_product` varchar(45) NOT NULL,
  `price` double(10,2) NOT NULL DEFAULT '0.00',
  `quantity` int(4) unsigned NOT NULL DEFAULT '0'
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tbsales_temp`
--

/*!40000 ALTER TABLE `tbsales_temp` DISABLE KEYS */;
/*!40000 ALTER TABLE `tbsales_temp` ENABLE KEYS */;


--
-- Definition of table `tbsupplier`
--

DROP TABLE IF EXISTS `tbsupplier`;
CREATE TABLE `tbsupplier` (
  `KodeSupplier` char(4) NOT NULL,
  `NamaSupplier` varchar(50) DEFAULT NULL,
  `AlamatSupplier` varchar(50) DEFAULT NULL,
  `KotaSupplier` varchar(50) DEFAULT NULL,
  `NoTelpSupplier` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`KodeSupplier`)
) ENGINE=MyISAM AUTO_INCREMENT=9 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tbsupplier`
--

/*!40000 ALTER TABLE `tbsupplier` DISABLE KEYS */;
INSERT INTO `tbsupplier` (`KodeSupplier`,`NamaSupplier`,`AlamatSupplier`,`KotaSupplier`,`NoTelpSupplier`) VALUES 
 ('S003','CV. Kumal Saja','M. Yamin','Samarinda','09878798767'),
 ('S004','PT. Gunadi Bersaudara','Jl. Imam Bonjol No. 2','Samarinda','097869786'),
 ('S007','ayesduana','Jl. Slamet Riyadi','Samarinda','678678678'),
 ('S006','PT. Sukabumi','Jl. Dipenegoro','Balikpapan','0989878987');
/*!40000 ALTER TABLE `tbsupplier` ENABLE KEYS */;




/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
